Update Single Document Template
Update a single document template in your Vault.
PUT
/api/{version}/objects/documents/templates/{template_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{template_name} | The document template name__v field value. |
Body Parameters
Section link for Body ParametersYou can update the following fields on document templates:
| Field Name | Description |
|---|---|
name__voptional | The name of an existing document template. This is required. |
new_nameoptional | Change the name of an existing document template. |
label__voptional | Change the label of an existing document template. This is the name users will see among the available document templates in the UI. |
active__voptional | Set to true or false to indicate whether or not the document template should be set to active, i.e., available for selection when creating a document. |
Convert Basic Document Template to Controlled Document Template
Section link for Convert Basic Document Template to Controlled Document TemplateTo convert a basic document template to a controlled document template, specify the Template Document. Vault will automatically update is_controlled__v on this template to true.
It is not possible to convert a controlled document template into a basic document template.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Accept: application/json" \
-d "name__v=promo_ad_web_document_template__c" \
-d "label__v=Promo Ad Web Document Template" \
-d "active__v=true" \
https://myvault.veevavault.com/api/v25.2/objects/documents/templates/promo_ad_print_document_template__cResponse
Section link for ResponseresponseStatus,name,errors
SUCCESS,promo_ad_web_document_template__c,